[polly] r254497 - Add script to update isl

Michael Kruse via llvm-commits llvm-commits at lists.llvm.org
Wed Dec 2 01:34:47 PST 2015


Author: meinersbur
Date: Wed Dec  2 03:34:46 2015
New Revision: 254497

URL: http://llvm.org/viewvc/llvm-project?rev=254497&view=rev
Log:
Add script to update isl

The script will checkout the most recent master from
http://repo.or.cz/isl.git into /tmp, create a distribution tarball, and
extract it as replacement of lib/External/isl. After that it can be
committed to the Polly repository.

Added:
    polly/trunk/lib/External/update-isl.sh   (with props)
Modified:
    polly/trunk/lib/External/README.txt

Modified: polly/trunk/lib/External/README.txt
URL: http://llvm.org/viewvc/llvm-project/polly/trunk/lib/External/README.txt?rev=254497&r1=254496&r2=254497&view=diff
==============================================================================
--- polly/trunk/lib/External/README.txt (original)
+++ polly/trunk/lib/External/README.txt Wed Dec  2 03:34:46 2015
@@ -15,3 +15,4 @@ Details: isl/imath/LICENSE
 
 To update these libraries run 'autoreconf -i && ./configure && make dist' in
 the isl git directory and move the resulting files into lib/External/isl.
+Alternatively, run the update-isl.sh script.

Added: polly/trunk/lib/External/update-isl.sh
URL: http://llvm.org/viewvc/llvm-project/polly/trunk/lib/External/update-isl.sh?rev=254497&view=auto
==============================================================================
--- polly/trunk/lib/External/update-isl.sh (added)
+++ polly/trunk/lib/External/update-isl.sh Wed Dec  2 03:34:46 2015
@@ -0,0 +1,27 @@
+#! /bin/sh
+set -e
+
+# Replace the content of the isl directory with a fresh clone from
+# http://repo.or.cz/isl.git
+
+SCRIPTPATH=`realpath --no-symlinks $(dirname $0)`
+ISL_SOURCE_DIR="${SCRIPTPATH}/isl"
+
+
+TMPDIR=`mktemp -d --tmpdir isl-XXX`
+GITDIR=$TMPDIR/src
+BUILDDIR=$TMPDIR/build
+
+git clone --recursive http://repo.or.cz/isl.git $GITDIR
+(cd $GITDIR && ./autogen.sh)
+mkdir -p $BUILDDIR
+(cd $BUILDDIR && $GITDIR/configure --with-int=imath-32)
+(cd $BUILDDIR && make dist)
+
+for DISTFILE in "$BUILDDIR/isl*.tar.gz"; do break; done
+
+rm -rf $ISL_SOURCE_DIR
+mkdir -p $ISL_SOURCE_DIR
+tar -xf $DISTFILE --strip-components=1 --directory $ISL_SOURCE_DIR
+
+rm -rf $TMPDIR

Propchange: polly/trunk/lib/External/update-isl.sh
------------------------------------------------------------------------------
    svn:executable = *




More information about the llvm-commits mailing list